p {
    font-size: 1.4rem !important;
    line-height: 1.1 !important;
}

body {
    margin: 0;
    padding: 0;
}

.footer_container { 
    display: grid;
    justify-items: center;
    column-gap: 40px;
    grid-template-columns: max(5%, 2fr) 1fr 1fr max(5%,2fr);
    grid-template-rows: 20px 280px 75px 25px;
    height: 100%;
    width: 100%;
    position: relative;
    background-color: var(--footer);
}

.footer_container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 20px;
    background: linear-gradient(to top, var(--footer), var(--white));
    z-index: 1;
}

.footer_img {
    grid-area: 2 / 2 / 3 / 3;
    width: 100%;
    max-width: 400px;
    height: 300px;
    margin: 0.5em;
    overflow: hidden;
    display: flex;
    padding : 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0;
}

.footer_img img {
    width: 80%;
    height: auto;
    object-fit: contain;
    display: block;
    margin: -22px 0;
    border-radius: 15px;
}

.footer_main {
    grid-area: 2 / 3 / 3 / 4;
    text-align: center;
    color : var(--white);
    line-height: 30px;
    font-size: 20px;
}

.footer_credits {
    grid-area: 3 / 1 / 4 / 5;
    margin-top: 1em;
    font-size: 0.9em;
    text-align : center;
    color : var(--white);
}

@media (max-width: 750px) {
    .footer_container {
        grid-template-columns: 1fr;
        grid-template-rows: 50px 4fr 1fr 1fr;
        gap: 0px;
    }

    .footer_img {
        grid-area: 2 / 1 / 3 / 2;
        width: 80%;
        height: auto;
        justify-self: center;
    }

    .footer_img img {
        width: 90%;
        height: auto;
        margin: 0 auto;
    }

    .footer_main {
        grid-area: 3 / 1 / 4 / 2;
        font-size: 18px;

    }

    .footer_credits {
        grid-area: 4 / 1 / 5 / 2;
        font-size: 0.8em;
    }
}

@media (max-height: 500px) {
    .footer_container {
        height : auto;
    }
}
